Subject: Re: [PATCH v3] doc: add caveat about turning off commit-graph

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 May 2026 10:16:56 +0900

"Kristoffer Haugsbakk" <[email-masked]> writes:

> On Thu, May 7, 2026, at 21:56, Derrick Stolee wrote:
>> On 5/7/2026 3:42 PM, [email-masked] wrote:
>>> From: Kristoffer Haugsbakk <[email-masked]>
>>
>>> Range-diff against v2:
>>> 1:  82faa72f7bf ! 1:  fb5ba74ea3e doc: add caveat about turning off commit-graph
>>>     @@ Commit message
>>>          But this isn’t mentioned in the user-facing doc. Let’s mention it on
>>>          git-replace(1) and git-commit-graph(1).
>>>
>>>     +    Acked-by: Derrick Stolee <[email-masked]>
>>>          Signed-off-by: Kristoffer Haugsbakk <[email-masked]>
>>>
>>>       ## Documentation/git-commit-graph.adoc ##
>> In general, you don't need to do this. Junio will add these
>> during his application of the series, if necessary.
>
> It’s certainly not necessary, yeah. :)
>
> I am basing this on a recollection of someone quoting this from
> SubmittingPatches:
>
>     Do not forget to add trailers such as `Acked-by:`, `Reviewed-by:` and
>     `Tested-by:` lines as necessary to credit people who helped your
>     patch, and "cc:" them when sending such a final version for inclusion.
>
> They said that this was outdated since Junio does it himself. But then
> Junio replied and said that it’s good/better if the contributor does it.

I used to say "let me do this to skip one extra roundtrip" but I
stopped saying so.  Perhaps I should be a bit more explicit and stop
being silently nice to contributors who do not follow the guidelines
to the letter in order to unconfuse you and your friends.  It
actually is a tempting thought.

>     Well, this is another instance that I may be trying to be too
>     helpful and over extending myself, which does not make the process
>     scale well (the other one being the "one final resend after the
>     list reached a consensus").
>
>     If the authors collect Acks and Reviewed-by's and resend after the
>     list reached the concensus, it may take one extra iteration, but I
>     no longer have to keep track of these trailers myself, which could
>     be a big win.
>
>     So, I dunno.
>
> In conclusion for now: I dunno. :)

I do not know either, but if we agree that everybody should do so
themselves and I should refrain from applying the ones that lack
Acks, I can adjust.  There will be lot of unapplied patches left on
the mailing list initially until the contributors adjust their
behaviour, but in the long run it may be beneficial?